curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/material-batch-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Cula-Organisation-Id: <cula-organisation-id>'import requests
url = "https://api.demo.cula.earth/tracking/v1/material-batch-configs/{id}"
headers = {
"Cula-Organisation-Id": "<cula-organisation-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Cula-Organisation-Id': '<cula-organisation-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.demo.cula.earth/tracking/v1/material-batch-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mbtc_01kdpna98wj3apgan3j36w499h",
"site": {
"id": "ste_01k8g7aec6dt5zrtamc72ww446",
"external_id": "SITE-EXT-0001"
},
"validity_period_type": "day_based",
"created_at": "2026-01-15T08:00:00Z",
"active_version": {
"id": "mbtcv_01kgqrbj1xy7xebdf9easfa0wp",
"config_id": "mbtc_01kdpna98wj3apgan3j36w499h",
"name": "Biochar Production Batch",
"validity_period_type": "day_based",
"published_at": "2026-01-15T08:00:00Z",
"available_materials": [
{
"id": "mat_01kh0fwkq4x8p5ea34dr6e4v2e"
}
],
"data_point_configs": [
{
"id": "dptc_01jxdp05c8r7dp4xf89pxcw28q",
"active_version": {
"id": "dptcv_01kfxe6xgmw15gsf204jwj90g5",
"name": "Weight gross",
"is_required": true,
"accepts_input": true,
"type": "short_text",
"validation": {
"max_length": 280
},
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"default_value": "<string>",
"default_input_value": "<string>"
}
}
]
}
}{
"code": "bad_request",
"message": "The field limit must not be greater than 100."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "not_found",
"message": "Resource with ID xyz_01k56g7aec6dt5zrtamc72vw446 could not be found."
}{
"code": "internal_server_error",
"message": "Internal server error."
}Get a material batch config
Authorizations
OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.
Headers
ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.
"org_01k83mfmhgchya944v86ryvhpq"
Path Parameters
"mbtc_01kdpna98wj3apgan3j36w499h"
Response
The ID of the batch config.
"mbtc_01kdpna98wj3apgan3j36w499h"
The site that owns this config.
Show child attributes
Show child attributes
How batches of this config track validity periods: day_based boundaries are calendar dates (2026-05-01), time_based boundaries are UTC timestamps truncated to the minute (2026-05-01T12:30:00Z), none batches carry no validity period.
day_based, time_based, none "day_based"
When this config was created.
"2026-01-15T08:00:00Z"
The currently active version of the batch config, including its full data point configuration.
Show child attributes
Show child attributes
Was this page helpful?